#ifndef CELLGRAPHICSPSGLUTIL_H_
#define CELLGRAPHICSPSGLUTIL_H_

#include <stdint.h>
#include <stdlib.h>
#include <stdbool.h>

#include <PSGL/psgl.h>
#include <PSGL/psglu.h>
#include <cell/dbgfont.h>

#include <sys/cdefs.h>
#include <sys/timer.h>

extern void cellPSGLUtilInitDbgFont();

extern void cellPSGLUtilDeinitDbgFont();

//extern void dprintf_console(const char* fmt, ...);
//



extern void gl_dprintf(float x, float y, float scale, const char* fmt, ...);

#ifdef S9XDEBUG
#define S9X_DBG(fmt, args...) do {\
   gl_dprintf(0.1, 0.1, 1.0, fmt, ##args);\
   sys_timer_usleep(2000000);\
   } while(0)
#else
#define S9X_DBG(fmt, args...) ((void)0)
#endif


extern void cellPSGLUtilClearSurface();

extern void cellPSGLUtilFrame(const uint16_t* frame, unsigned width, unsigned height);
//extern static void cellPSGLUtilSetViewports(gl_t *gl);
extern void cellPSGLUtilInitDisplay();
extern void cellPSGLUtilDeinitDisplay();


#endif
